Kwalitee Issues


Add a README to the distribution. It should contain a quick description of your module and how to install it.


Add a META.json to the distribution. Your buildtool should be able to autogenerate it.


If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.


This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.


Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.


Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).


Name Abstract Version View
Net::Trac Interact with a remote Trac instance 0.16 metacpan
Net::Trac::Connection Connection to a remote Trac server metacpan
Net::Trac::Mechanize Provides persistent credentials for the Trac instance metacpan
Net::Trac::Ticket Create, read, and update tickets on a remote Trac instance metacpan
Net::Trac::TicketAttachment Represents a single attachment for a Trac ticket metacpan
Net::Trac::TicketHistory A Trac ticket's history metacpan
Net::Trac::TicketHistoryEntry A single history entry for a Trac ticket metacpan
Net::Trac::TicketPropChange A single property change in a Trac ticket history entry metacpan
Net::Trac::TicketSearch A ticket search (custom query) in Trac metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan